function [Sigmask] = compute_DI_FIT_sigmap(InfoMat_MEAN,InfoMat_MAT, ...
    exp_list,STIM_COUPLE,AREA_COUPLE, pval, percentile)

SHUFNUM = size(InfoMat_MAT,8)-1;

area1 = AREA_COUPLE(1);
area2 = AREA_COUPLE(2);
  
stim1 = STIM_COUPLE(1);
stim2 = STIM_COUPLE(2);

% disp(stim1)

InfoMatMean = squeeze(InfoMat_MEAN(area1,area2,stim1,stim2,:,:,1));
InfoMatMeanShTmp = squeeze(InfoMat_MAT(exp_list,area1,area2,stim1,stim2,:,:,2:end));
InfoMatMeanShTmpSize = size(InfoMatMeanShTmp);
shufperexp = InfoMatMeanShTmpSize(end);

InfoMatMean_sh = zeros(size(InfoMatMeanShTmp,2),size(InfoMatMeanShTmp,3),SHUFNUM);

for t1 = 1:size(InfoMatMeanShTmp,2)%opts.nTimeBinsRes
%     disp(t1)
    InfoMatMean_sh_Tmp = zeros(size(InfoMatMeanShTmp,3),SHUFNUM);
    for t2 = 1:size(InfoMatMeanShTmp,3)%opts.nTimeBinsRes
        [InfoMatMean_sh_Tmp(t2,:)] = CompShufTmp(squeeze(InfoMatMeanShTmp(:,t1,t2,:)),shufperexp,SHUFNUM,exp_list);
    end
InfoMatMean_sh(t1,:,:) = InfoMatMean_sh_Tmp;    
end
            
[ Sigmask ] = clusterStat_v2( InfoMatMean, InfoMatMean_sh, pval, percentile);
end